<%@ page pageEncoding="UTF-8"%>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>施工交底管理</title>
	<meta name="decorator" content="ani"/>
	<!-- SUMMERNOTE -->
	<%@include file="/webpage/include/summernote.jsp" %>
	<script type="text/javascript">

		$(document).ready(function() {
			jp.ajaxForm("#inputForm",function(data){
				if(data.success){
					jp.success(data.msg);
					jp.go("${ctx}"+ data.body.targetUrl);
				}else{
					jp.error(data.msg);
					$("#inputForm").find("button:submit").button("reset");
				}
			});

			$("#agree").click(function () {
				var tuser = $("#tuserName").val();
				console.log(tuser);
				if (tuser=="") {
					jp.error("请选择用户");
					return;
				}
			})

			$('#acceptDate').datetimepicker({
				format: "YYYY-MM-DD HH:mm:ss"
			});
			$('#examineDate').datetimepicker({
				format: "YYYY-MM-DD HH:mm:ss"
			});
			//富文本初始化
			$('#reason').summernote({
				height: 300,
				lang: 'zh-CN',
				callbacks: {
					onChange: function(contents, $editable) {
						$("input[name='reason']").val($('#reason').summernote('code'));//取富文本的值
					}
				}
			});

			$("#${id}Button, #${id}Name").click(function(){
				// 是否限制选择，如果限制，设置为disabled
				if ($("#${id}Button").hasClass("disabled")){
					return true;
				}
				// 正常打开

/*				jp.openUserSelectDialog(${isMultiSelected? true:false},function(ids, names){
					$("#${id}Id").val(ids.replace(/u_/ig,""));
					$("#${id}Name").val(names);
					$("#${id}Name").focus();
				})*/
					top.layer.open({
						type: 2,
						area: ['900px', '560px'],
						title:"选择用户",
						auto:true,
						maxmin: true, //开启最大化最小化按钮
						content: ctx+"/sys/user/myUserSelect?office=e223b1c8472843bbbbc94c9b72c29737",
						btn: ['确定', '关闭'],
						yes: function(index, layero){
							var ids = layero.find("iframe")[0].contentWindow.getIdSelections();
							var names = layero.find("iframe")[0].contentWindow.getNameSelections();
							var loginNames = layero.find("iframe")[0].contentWindow.getLoginNameSelections();
							if(ids.length ==0){
								jp.warning("请选择至少一个用户!");
								return;
							}
							// 执行保存
							yesFuc(ids.join(","), names.join(","), loginNames.join(","));
							top.layer.close(index);
						},
						cancel: function(index){
							//取消默认为空，如需要请自行扩展。
							top.layer.close(index);
						}
					});
			});

			$("#${id}DelButton").click(function(){
				// 是否限制选择，如果限制，设置为disabled
				if ($("#${id}Button").hasClass("disabled")){
					return true;
				}
				// 清除
				$("#${id}Id").val("");
				$("#${id}Name").val("");
				$("#${id}Name").focus();

			});
		});
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title">
						<a class="panelButton"  href="#"  onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
					</h3>
				</div>
				<div class="panel-body">
					<form:form id="inputForm" modelAttribute="construction" action="${ctx}/managementcenter/activiti/save" method="post" class="form-horizontal">
						<form:hidden path="id"/>
						<form:hidden path="act.taskId"/>
						<form:hidden path="act.taskName"/>
						<form:hidden path="act.taskDefKey"/>
						<form:hidden path="act.procInsId"/>
						<form:hidden path="act.procDefId"/>
						<form:hidden id="flag" path="act.flag" />
						<div class="form-group text-center">
							<h3> 施工交底申请</h3>
						</div>
						<table class="table table-bordered">
							<tbody>
							<tr>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>申请人：</label></td>
								<td class="width-35">
									<input type='text'  name="userName" class="form-control required"  value="${construction.userName}"/>
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>审批人：</label></td>
								<td class="width-35">
									<sys:userselect roleName="项目经理;" id="tuser" name="tuser.id" value="${construction.tuser.id}" labelName="tuser.name" labelValue="${construction.applyName}"
													cssClass="form-control required"/>
								</td>
							</tr>
							<tr>
<%--								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>项目号：</label></td>
								<td class="width-35">
									<input type='text'  name="projectId" class="form-control required"  value="${construction.projectId}"/>
								</td>--%>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>项目名称：</label></td>
								<td class="width-35">
									<%--<input type='text'  name="projectName" class="form-control required"  value="${construction.projectName}"/>--%>
									<sys:itemselect url="${ctx}/sg/managementcenter/project/dataSys" id="project" name="project.id" value="${construction.projectName}" labelName="project.requireName" labelValue="${construction.projectName}"
													title="选择项目号" cssClass="form-control " fieldLabels="${fns:urlEncode('项目需求名称|需求提出单位|变电站名称|线路名称|设备基本情况|运行班')}" fieldKeys="requireName|demandUnit|bdzName|lineName|asicEquipment|runTheClass" searchLabels="${fns:urlEncode('项目需求名称')}" searchKeys="requireName" ></sys:itemselect>
								</td>
								<td class="width-15 active"><label class="pull-right">接收图纸时间：</label></td>
								<td class="width-35">
									<div class='input-group form_datetime' id='acceptDate'>
										<input type='text'  name="acceptDate" class="form-control required"  value="<fmt:formatDate value="${construction.acceptDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
										<span class="input-group-addon">
																<span class="glyphicon glyphicon-calendar"></span>
																 </span>
									</div>
								</td>
							</tr>
							<tr>
<%--								<td class="width-15 active"><label class="pull-right">接收图纸时间：</label></td>
								<td class="width-35">
									<div class='input-group form_datetime' id='acceptDate'>
										<input type='text'  name="acceptDate" class="form-control required"  value="<fmt:formatDate value="${construction.acceptDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
										<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                   		 </span>
									</div>
								</td>--%>
								<td class="width-15 active"><label class="pull-right">备注说明：</label></td>
								<td class="width-35">
									<textarea  name="examineDate" style="height: 100px" class="form-control">${construction.examineDate}</textarea>
								</td>
								<td class="width-15 active"><label class="pull-right"></label></td>
								<td class="width-35">
<%--									<textarea  name="examineDate" style="height: 100px" class="form-control">${construction.examineDate}</textarea>--%>
								</td>
							</tr>
							</tbody>
						</table>



						<div class="form-group">
							<div class="col-lg-3"></div>
							<c:if test="${construction.act.taskDefKey ne '' && !construction.act.finishTask && construction.act.isNextGatewaty}">
								<div class="col-sm-6">
									<div class="form-group text-center">
										<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="重新提交" onclick="$('#flag').val('yes')"/>&nbsp;
										<input id="reject" class="btn  btn-danger btn-lg btn-parsley" type="submit" value="销毁申请" onclick="$('#flag').val('no')"/>&nbsp;
									</div>
								</div>
							</c:if>
							<c:if test="${construction.act.startTask}">
								<div class="col-lg-6">
									<div class="form-group text-center">
										<div>
											<button class="btn btn-primary btn-block btn-lg btn-parsley" data-loading-text="正在提交...">提 交</button>
										</div>
									</div>
								</div>
							</c:if>
						</div>
					</form:form>
					<c:if test="${not empty construction.id}">
						<act:flowChart procInsId="${construction.act.procInsId}"/>
						<act:histoicFlow procInsId="${construction.act.procInsId}" />
					</c:if>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>